Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.util.test
Interface Test

All Known Implementing Classes:
  AESSICTest, AESTest, AlgorithmParametersTest, AttrCertSelectorTest, AttrCertTest, BaseBlockCipherTest, BlockCipherTest, CamelliaTest, CertPathBuilderTest, CertPathTest, CertPathValidatorTest, CertStoreTest, CertTest, CertUniqueIDTest, CipherStreamTest, CRL5Test, DESedeTest, DHTest, DigestTest, DoFinalTest, DSATest, ECDSA5Test, ECEncodingTest, ECNRTest, ElGamalTest, EncryptedPrivateKeyInfoTest, FIPSDESTest, GOST28147Test, GOST3410Test, HMacTest, IESTest, ImplicitlyCaTest, KeyStoreTest, MacTest, MQVTest, MultiCertStoreTest, NamedCurveTest, NetscapeCertRequestTest, NISTCertPathTest, NoekeonTest, OCSPTest, PBETest, PKCS10CertRequestTest, PKCS12StoreTest, PKCS7SignedDataTest, PKIXNameConstraintsTest, PKIXPolicyMappingTest, PKIXTest, PSSTest, ReaderTest, RSATest, SealedTest, SEEDTest, SerialisationTest, SigNameTest, SigTest, SimpleTest, SlotTwoTest, WrapTest, WriterTest, X509CertificatePairTest, X509LDAPCertStoreTest, X509StoreTest, X509StreamParserTest

    public interface Test

Method Summary
`java.lang.String` `getName()`
`TestResult` `perform()`

Method Detail

### getName

    java.lang.String getName()

### perform

    TestResult perform()

Bouncy Castle Cryptography Library 1.45